from urllib.parse import urlencodefrom metadata.sdk import client, configureconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")rest = client().ometa.client# Find tables with a specific column nameparams = urlencode({ "fieldName": "columns.name", "fieldValue": "shop_id", "index": "table_search_index"})response = rest.get(f"/search/fieldQuery?{params}")for hit in response["hits"]["hits"]: entity = hit["_source"] print(f"{entity['fullyQualifiedName']} (score: {hit['_score']})")# Find entities with a specific tagparams = urlencode({ "fieldName": "tags.tagFQN", "fieldValue": "PII.Sensitive", "index": "table_search_index"})response = rest.get(f"/search/fieldQuery?{params}")for hit in response["hits"]["hits"]: entity = hit["_source"] print(f"{entity['fullyQualifiedName']}")
// client is an initialized OpenMetadataClient.// Find tables with a specific column namevar response = client.searchApi().fieldQuery( "columns.name", // fieldName "shop_id", // fieldValue "table_search_index", // index 0, // from 10 // size);for (var hit : response.getHits().getHits()) { var source = hit.getSource(); System.out.println(source.getFullyQualifiedName());}
# Find tables with a specific column namecurl "{base_url}/api/v1/search/fieldQuery?fieldName=columns.name&fieldValue=shop_id&index=table_search_index" \ -H "Authorization: Bearer {access_token}"# Find entities with a specific tagcurl "{base_url}/api/v1/search/fieldQuery?fieldName=tags.tagFQN&fieldValue=PII.Sensitive&index=table_search_index" \ -H "Authorization: Bearer {access_token}"# Find entities owned by a specific usercurl "{base_url}/api/v1/search/fieldQuery?fieldName=owners.name&fieldValue=admin&index=table_search_index&size=20" \ -H "Authorization: Bearer {access_token}"
from urllib.parse import urlencodefrom metadata.sdk import client, configureconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")rest = client().ometa.client# Find tables with a specific column nameparams = urlencode({ "fieldName": "columns.name", "fieldValue": "shop_id", "index": "table_search_index"})response = rest.get(f"/search/fieldQuery?{params}")for hit in response["hits"]["hits"]: entity = hit["_source"] print(f"{entity['fullyQualifiedName']} (score: {hit['_score']})")# Find entities with a specific tagparams = urlencode({ "fieldName": "tags.tagFQN", "fieldValue": "PII.Sensitive", "index": "table_search_index"})response = rest.get(f"/search/fieldQuery?{params}")for hit in response["hits"]["hits"]: entity = hit["_source"] print(f"{entity['fullyQualifiedName']}")
// client is an initialized OpenMetadataClient.// Find tables with a specific column namevar response = client.searchApi().fieldQuery( "columns.name", // fieldName "shop_id", // fieldValue "table_search_index", // index 0, // from 10 // size);for (var hit : response.getHits().getHits()) { var source = hit.getSource(); System.out.println(source.getFullyQualifiedName());}
# Find tables with a specific column namecurl "{base_url}/api/v1/search/fieldQuery?fieldName=columns.name&fieldValue=shop_id&index=table_search_index" \ -H "Authorization: Bearer {access_token}"# Find entities with a specific tagcurl "{base_url}/api/v1/search/fieldQuery?fieldName=tags.tagFQN&fieldValue=PII.Sensitive&index=table_search_index" \ -H "Authorization: Bearer {access_token}"# Find entities owned by a specific usercurl "{base_url}/api/v1/search/fieldQuery?fieldName=owners.name&fieldValue=admin&index=table_search_index&size=20" \ -H "Authorization: Bearer {access_token}"
Search for entities by matching a specific field to a given value. This is useful for finding entities that have a particular column name, tag, owner, or other field-level attribute.
from urllib.parse import urlencodefrom metadata.sdk import client, configureconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")rest = client().ometa.client# Find tables with a specific column nameparams = urlencode({ "fieldName": "columns.name", "fieldValue": "shop_id", "index": "table_search_index"})response = rest.get(f"/search/fieldQuery?{params}")for hit in response["hits"]["hits"]: entity = hit["_source"] print(f"{entity['fullyQualifiedName']} (score: {hit['_score']})")# Find entities with a specific tagparams = urlencode({ "fieldName": "tags.tagFQN", "fieldValue": "PII.Sensitive", "index": "table_search_index"})response = rest.get(f"/search/fieldQuery?{params}")for hit in response["hits"]["hits"]: entity = hit["_source"] print(f"{entity['fullyQualifiedName']}")
// client is an initialized OpenMetadataClient.// Find tables with a specific column namevar response = client.searchApi().fieldQuery( "columns.name", // fieldName "shop_id", // fieldValue "table_search_index", // index 0, // from 10 // size);for (var hit : response.getHits().getHits()) { var source = hit.getSource(); System.out.println(source.getFullyQualifiedName());}
# Find tables with a specific column namecurl "{base_url}/api/v1/search/fieldQuery?fieldName=columns.name&fieldValue=shop_id&index=table_search_index" \ -H "Authorization: Bearer {access_token}"# Find entities with a specific tagcurl "{base_url}/api/v1/search/fieldQuery?fieldName=tags.tagFQN&fieldValue=PII.Sensitive&index=table_search_index" \ -H "Authorization: Bearer {access_token}"# Find entities owned by a specific usercurl "{base_url}/api/v1/search/fieldQuery?fieldName=owners.name&fieldValue=admin&index=table_search_index&size=20" \ -H "Authorization: Bearer {access_token}"